Package org.apache.qpid.proton.codec.messaging

# Class HeaderType

java.lang.Object
org.apache.qpid.proton.codec.AbstractDescribedType<Header,List>
org.apache.qpid.proton.codec.messaging.HeaderType

All Implemented Interfaces:
  `AMQPType<Header>`, `DescribedTypeConstructor<Header>`

public class HeaderType extends AbstractDescribedType<Header,List> implements DescribedTypeConstructor<Header>

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static final class`
`HeaderType.HeaderWrapper`

## Constructor Summary

Constructors
Constructor
Description
`HeaderType(EncoderImpl encoder)`

## Method Summary

Modifier and Type
Method
Description
`protected UnsignedLong`
`getDescriptor()`
`Class<Header>`
`getTypeClass()`
`Header`
`newInstance(Object described)`
`static void`
`register(Decoder decoder, EncoderImpl encoder)`
`protected List`
`wrap(Header val)`

### Methods inherited from class org.apache.qpid.proton.codec.AbstractDescribedType

`getAllEncodings, getCanonicalEncoding, getDecoder, getEncoder, getEncoding, write`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### HeaderType

public HeaderType(EncoderImpl encoder)

## Method Details

### getDescriptor

protected UnsignedLong getDescriptor()

Specified by:
  `getDescriptor` in class `AbstractDescribedType<Header,List>`

### wrap

protected List wrap(Header val)

Specified by:
  `wrap` in class `AbstractDescribedType<Header,List>`

### newInstance

public Header newInstance(Object described)

Specified by:
  `newInstance` in interface `DescribedTypeConstructor<Header>`

### getTypeClass

public Class<Header> getTypeClass()

Specified by:
  `getTypeClass` in interface `AMQPType<Header>`
Specified by:
  `getTypeClass` in interface `DescribedTypeConstructor<Header>`

### register

public static void register(Decoder decoder, EncoderImpl encoder)